import './trading-goods.css'
import { Select, DatePicker, Button, Table, 
  // message,
   Space, Empty } from 'antd';
// import type { TableColumnsType } from 'antd';
import { SearchOutlined } from '@ant-design/icons';
import type { DatePickerProps } from 'antd';
import locale from 'antd/es/date-picker/locale/zh_CN';
const { Column } = Table;
export default function TradingGoods() {
  // const [messageApi, contextHolder] = message.useMessage();
  const dateFormat = 'YYYY年MM月DD日';
  const belongTypeChange = (value: string) => {
    console.log(`selected ${value}`);
  }
  const onChange: DatePickerProps['onChange'] = (date, dateString) => {
    console.log(date, dateString);
  };
  const height = window.innerHeight - 180;
  interface DataType {
    index?: number
    order: string
    name: string
    price: string
    status: string
    time1: string
    time2: string
  }

  const data: DataType[] = [
    {

      order: '123',
      name: '后台管理系统',
      price: '5.00',
      status: '过户',
      time1: '2020-04-19 15：42:21',
      time2: '2020-04-19  15：42:21 ',
    },
    {

      order: '12345',
      name: '后台管理系统',
      price: '5.00',
      status: '过户',
      time1: '2020-04-19 15：42:21',
      time2: '2020-04-19  15：42:21 ',
    },
    {
      order: '1235678',
      name: '后台管理系统',
      price: '5.00',
      status: '过户',
      time1: '2020-04-19 15：42:21',
      time2: '2020-04-19  15：42:21 ',
    },

  ];



  return (
    <div className='trading-goods' style={{ height: `${height}px`, overflow: 'auto' }}>
      {/* {contextHolder} */}
      <div className='trading-goods-search'>
        <DatePicker placeholder="开始时间"
          style={{ width: 198, height: 36, marginRight: 12 }}
          format={dateFormat}
          locale={locale}
          onChange={onChange}
        />
        <DatePicker placeholder="结束时间"
          style={{ width: 198, height: 36, marginRight: 12 }}
          format={dateFormat}
          locale={locale}
          onChange={onChange}
        />
        <Select
          // defaultValue="lucy"
          placeholder='选择订单状态'
          style={{ width: 198, height: 36, marginRight: 12 }}
          onChange={belongTypeChange}
          options={[
            { value: 'person', label: '123' },
            { value: 'lucy', label: '123' },
          ]}
        />
        <Button type="primary"
          style={{ height: 36, backgroundColor: '#FF9F08' }}

          icon={<SearchOutlined />}>
          搜索
        </Button>
      </div>
      <div className='trading-goods-table'>
        {/* 表格 */}
        {data.length == 0 ? (
          <div className='nodata' style={{ height: `${height - 93}px` }}>
            <Empty
              description={
                '暂无数据'
              } />
          </div>) : (
          <Table
            rowSelection={{
              type: 'checkbox',
              // selectedRowKeys: belongselectedKeys // 设置默认选中的行
            }}

            dataSource={data}
            // pagination={{
            //   defaultPageSize: 10, // 设置默认一页显示 5 条数据
            // }}
            pagination={false} // 不显示分页
            style={{ textAlign: 'center' }} // 设置表格内容居中显示
            rowKey="order" // 指定数据项的唯一标识符
          >
            <Column title="序号" render={(_text, _record, index: number) => (
              index + 1
            )} align="center" />
            <Column
              title="订单编号"
              dataIndex="order"
              align="center"
            />
            <Column
              title="软著名称"
              dataIndex="name"
              align="center"
              render={(text) => (
                <span style={{ color: '#1B8BD2', fontSize: '16px', fontWeight: '700' }}>{text}</span>
              )}
            />
            <Column title="订单价格" dataIndex="price" align="center"
              render={(text) => (
                <span style={{ color: '#FF5D15', fontSize: '24px', fontWeight: '700' }}>{text}</span>
              )} />
            <Column title="订单状态" dataIndex="status" align="center" />
            <Column title="下单时间" dataIndex="time1" align="center" />
            <Column title="付款时间" dataIndex="time2" align="center" />
            {/* <Column title="实名认证状态" dataIndex="address" key="key" /> */}
            <Column
              align="center"
              title="操作"
              render={(_text, record: any) => (
                <Space size="middle">
                  <span className='trading-goods-table-btn' onClick={() => {
                    console.log(record.order);

                  }}>补充资料</span>
                </Space>
              )}
            />
          </Table>
        )}



      </div>
    </div>
  )
}


